Compress::Zip::FileInfo - Crystal 1.7.2

# module Compress::Zip::FileInfo

##
Overview

Base type for file information related to zip entries.

##
Direct including types

- Compress::Zip::File::Entry
- Compress::Zip::Reader::Entry
- Compress::Zip::Writer::Entry

##
Defined in:

compress/zip/file_info.cr

##
Constant Summary

DATA_DESCRIPTOR_SIGNATURE = `134695760`
DEFLATE_END_SIGNATURE = `Bytes[80, 75, 7, 8, read_only: true]`
SIGNATURE = `67324752`

##
Constructors

- .new(filename : String, time = Time.utc, comment = "", extra = Bytes.empty)

##
Instance Method Summary

- #comment
- #comment=(comment)
- #compressed_size
- #compressed_size=(compressed_size)
- #compression_method
- #compression_method=(compression_method)
- #crc32
- #crc32=(crc32)
- #dir? : Bool

  Returns `true` if this entry is a directory.

- #extra
- #extra=(extra)
- #file? : Bool

  Returns `true` if this entry is a file.

- #filename
- #filename=(filename)
- #general_purpose_bit_flag
- #general_purpose_bit_flag=(general_purpose_bit_flag)
- #offset
- #offset=(offset)
- #time : Time
- #time=(time : Time)
- #uncompressed_size
- #uncompressed_size=(uncompressed_size)
- #version : UInt16
- #version=(version : UInt16)

##
Constructor Detail

def self.new(filename : String, time = Time.utc, comment = "", extra = Bytes.empty) #

##
Instance Method Detail

def comment #
def comment=(comment) #
def compressed_size #
def compressed_size=(compressed_size) #
def compression_method #
def compression_method=(compression_method) #
def crc32 #
def crc32=(crc32) #
def dir? : Bool #

Returns `true` if this entry is a directory.

def extra #
def extra=(extra) #
def file? : Bool #

Returns `true` if this entry is a file.

def filename #
def filename=(filename) #
def general_purpose_bit_flag #
def general_purpose_bit_flag=(general_purpose_bit_flag) #
def offset #
def offset=(offset) #
def time : Time #
def time=(time : Time) #
def uncompressed_size #
def uncompressed_size=(uncompressed_size) #
def version : UInt16 #
def version=(version : UInt16) #